Bug 1821286 - cluster etcd operator status reporting needs to be more human readable
Summary: cluster etcd operator status reporting needs to be more human readable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Alay Patel
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1823608
TreeView+ depends on / blocked
 
Reported: 2020-04-06 13:49 UTC by Alay Patel
Modified: 2020-07-13 17:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The logs and events about health status are not very readable. Reason: Improper log message construction. Result: Confusing English sentences. Consequence: The events and logs generated could confuse the end user about the status of the cluster. Fix: Properly analyze the statuses in a separate function to construct a proper log message and event about the etcd status. Result: More meaningful reporting of the status of the etcd pods on all master nodes.
Clone Of:
: 1823608 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:25:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 290 None closed Bug 1821286: fix message reporting for etcdmemberscontroller 2020-08-11 02:16:17 UTC
Github openshift cluster-etcd-operator pull 318 None closed Bug 1821286: Unstarted members cannot be blank in the log/event messages 2020-08-11 02:16:17 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:25:53 UTC

Description Alay Patel 2020-04-06 13:49:11 UTC
Description of problem:
For debugging the cluster-etcd-opertor report how many members are available, unhealthy, unknown or unstarted. If anyone of the lists is empty, it will produce the following output:

-----
EtcdMembers_UnhealthyMembers: EtcdMembersDegraded: ci-op-sd598-m-2.c.openshift-gce-devel-ci.internal members are unhealthy,  members are unknown


Expected output is:

EtcdMembers_UnhealthyMembers: EtcdMembersDegraded: 1 of 3 etcd members (ci-op-sd598-m-2.c.openshift-gce-devel-ci.internal[, ...]) are not reachable.

More discussion from #forum-etcd:

https://coreos.slack.com/archives/C027U68LP/p1585766067158800

Comment 4 ge liu 2020-04-15 10:59:55 UTC
@Alay, do u have any idea for comments3? thanks

Comment 10 errata-xmlrpc 2020-07-13 17:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.